/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2018-07-07
 * 描述            ：免检产品配置表
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Qms.qcm.vo;
import java.io.Serializable;
import java.util.Date;

import market.Qms.qcm.mapper.ComMscExemptionMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="COM_MSC_EXEMPTION", namespace=ComMscExemptionMapper.class)
public class ComMscExemption extends BaseVO implements Serializable {
	/** 
	 * 产品规范码（来源：COM_PSC）
	 */ 
	@Id
	private String psc;
	public String getPsc() {
		return this.psc;
	}
	public void setPsc(String psc) {
		this.psc = psc;
	}

	/** 
	 * 产品规范描述
	 */ 
	@Column
	private String psc_desc;
	public String getPsc_desc() {
		return this.psc_desc;
	}
	public void setPsc_desc(String psc_desc) {
		this.psc_desc = psc_desc;
	}

	/** 
	 * 产品名称代码
	 */ 
	@Column
	private String prod_code;
	public String getProd_code() {
		return this.prod_code;
	}
	public void setProd_code(String prod_code) {
		this.prod_code = prod_code;
	}

	/** 
	 * 产品名称描述
	 */ 
	@Column
	private String prod_name;
	public String getProd_name() {
		return this.prod_name;
	}
	public void setProd_name(String prod_name) {
		this.prod_name = prod_name;
	}

	/** 
	 * 标准代码
	 */ 
	@Column
	private String std_code;
	public String getStd_code() {
		return this.std_code;
	}
	public void setStd_code(String std_code) {
		this.std_code = std_code;
	}

	/** 
	 * 标准名称
	 */ 
	@Column
	private String std_name;
	public String getStd_name() {
		return this.std_name;
	}
	public void setStd_name(String std_name) {
		this.std_name = std_name;
	}

	/** 
	 * 钢级(牌号)代码
	 */ 
	@Column
	private String steel_code;
	public String getSteel_code() {
		return this.steel_code;
	}
	public void setSteel_code(String steel_code) {
		this.steel_code = steel_code;
	}

	/** 
	 * 钢级(牌号)名称
	 */ 
	@Column
	private String steel_name;
	public String getSteel_name() {
		return this.steel_name;
	}
	public void setSteel_name(String steel_name) {
		this.steel_name = steel_name;
	}

	/** 
	 * 厚度下限符号
	 */ 
	@Column
	private String thick_min_sign;
	public String getThick_min_sign() {
		return this.thick_min_sign;
	}
	public void setThick_min_sign(String thick_min_sign) {
		this.thick_min_sign = thick_min_sign;
	}

	/** 
	 * 厚度下限值
	 */ 
	@Column
	private Double thick_min;
	public Double getThick_min() {
		return this.thick_min;
	}
	public void setThick_min(Double thick_min) {
		this.thick_min = thick_min;
	}

	/** 
	 * 厚度上限符号
	 */ 
	@Column
	private String thick_max_sign;
	public String getThick_max_sign() {
		return this.thick_max_sign;
	}
	public void setThick_max_sign(String thick_max_sign) {
		this.thick_max_sign = thick_max_sign;
	}

	/** 
	 * 厚度上限值
	 */ 
	@Column
	private Double thick_max;
	public Double getThick_max() {
		return this.thick_max;
	}
	public void setThick_max(Double thick_max) {
		this.thick_max = thick_max;
	}

	/** 
	 * 宽度下限符号
	 */ 
	@Column
	private String width_min_sign;
	public String getWidth_min_sign() {
		return this.width_min_sign;
	}
	public void setWidth_min_sign(String width_min_sign) {
		this.width_min_sign = width_min_sign;
	}

	/** 
	 * 宽度下限值
	 */ 
	@Column
	private Double width_min;
	public Double getWidth_min() {
		return this.width_min;
	}
	public void setWidth_min(Double width_min) {
		this.width_min = width_min;
	}

	/** 
	 * 宽度上限符号
	 */ 
	@Column
	private String width_max_sign;
	public String getWidth_max_sign() {
		return this.width_max_sign;
	}
	public void setWidth_max_sign(String width_max_sign) {
		this.width_max_sign = width_max_sign;
	}

	/** 
	 * 宽度上限值
	 */ 
	@Column
	private Double width_max;
	public Double getWidth_max() {
		return this.width_max;
	}
	public void setWidth_max(Double width_max) {
		this.width_max = width_max;
	}

	/** 
	 * 长度下限符号
	 */ 
	@Column
	private String lenth_min_sign;
	public String getLenth_min_sign() {
		return this.lenth_min_sign;
	}
	public void setLenth_min_sign(String lenth_min_sign) {
		this.lenth_min_sign = lenth_min_sign;
	}

	/** 
	 * 长度下限值
	 */ 
	@Column
	private Double lenth_min;
	public Double getLenth_min() {
		return this.lenth_min;
	}
	public void setLenth_min(Double lenth_min) {
		this.lenth_min = lenth_min;
	}

	/** 
	 * 长度上限符号
	 */ 
	@Column
	private String lenth_max_sign;
	public String getLenth_max_sign() {
		return this.lenth_max_sign;
	}
	public void setLenth_max_sign(String lenth_max_sign) {
		this.lenth_max_sign = lenth_max_sign;
	}

	/** 
	 * 长度上限值
	 */ 
	@Column
	private Double lenth_max;
	public Double getLenth_max() {
		return this.lenth_max;
	}
	public void setLenth_max(Double lenth_max) {
		this.lenth_max = lenth_max;
	}

	/** 
	 * 成分是否免检(1：是,0：否)
	 */ 
	@Column
	private String is_cic_exmt;
	public String getIs_cic_exmt() {
		return this.is_cic_exmt;
	}
	public void setIs_cic_exmt(String is_cic_exmt) {
		this.is_cic_exmt = is_cic_exmt;
	}

	/** 
	 * 材质是否免检(1：是,0：否)
	 */ 
	@Column
	private String is_pic_exmt;
	public String getIs_pic_exmt() {
		return this.is_pic_exmt;
	}
	public void setIs_pic_exmt(String is_pic_exmt) {
		this.is_pic_exmt = is_pic_exmt;
	}

	/** 
	 * 公差是否免检(1：是,0：否)
	 */ 
	@Column
	private String is_sic_exmt;
	public String getIs_sic_exmt() {
		return this.is_sic_exmt;
	}
	public void setIs_sic_exmt(String is_sic_exmt) {
		this.is_sic_exmt = is_sic_exmt;
	}

	/** 
	 * 探伤是否免检(1：是,0：否)
	 */ 
	@Column
	private String is_dic_exmt;
	public String getIs_dic_exmt() {
		return this.is_dic_exmt;
	}
	public void setIs_dic_exmt(String is_dic_exmt) {
		this.is_dic_exmt = is_dic_exmt;
	}

	/** 
	 * 备注
	 */ 
	@Column
	private String memo;
	public String getMemo() {
		return this.memo;
	}
	public void setMemo(String memo) {
		this.memo = memo;
	}

	/** 
	 * 有效标志(1:有效，0:无效)
	 */ 
	@Column
	private String validflag;
	public String getValidflag() {
		return this.validflag;
	}
	public void setValidflag(String validflag) {
		this.validflag = validflag;
	}

	/** 
	 * 创建人
	 */ 
	@Column
	private String create_name;
	public String getCreate_name() {
		return this.create_name;
	}
	public void setCreate_name(String create_name) {
		this.create_name = create_name;
	}

	/** 
	 * 创建时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date create_time;
	public Date getCreate_time() {
		return this.create_time;
	}
	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}

	/** 
	 * 修改人
	 */ 
	@Column
	private String update_name;
	public String getUpdate_name() {
		return this.update_name;
	}
	public void setUpdate_name(String update_name) {
		this.update_name = update_name;
	}

	/** 
	 * 修改时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date update_time;
	public Date getUpdate_time() {
		return this.update_time;
	}
	public void setUpdate_time(Date update_time) {
		this.update_time = update_time;
	}

	/** 
	 * 删除人
	 */ 
	@Column
	private String delete_name;
	public String getDelete_name() {
		return this.delete_name;
	}
	public void setDelete_name(String delete_name) {
		this.delete_name = delete_name;
	}

	/** 
	 * 删除时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date delete_time;
	public Date getDelete_time() {
		return this.delete_time;
	}
	public void setDelete_time(Date delete_time) {
		this.delete_time = delete_time;
	}
	/**
	 * 适用客户名称
	 */
	private String rct;
	public String getRct() {
		return rct;
	}
	public void setRct(String rct) {
		this.rct = rct;
	}

	/**
	 * 适用交货状态
	 */
	private String rds;
	public String getRds() {
		return rds;
	}
	public void setRds(String rds) {
		this.rds = rds;
	}
	/**
	 * 适用认证机构
	 */
	private String rrg;
	public String getRrg() {
		return rrg;
	}
	public void setRrg(String rrg) {
		this.rrg = rrg;
	}
	
	
}
